@base <https://purl.org/coscine/ap/qudt/quantitykind/TemperatureRateOfChange/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/TemperatureRateOfChange/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Temperature Rate Of Change sind."@de,
    "Profile for all units that are a/an Temperature Rate Of Change."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Temperature Rate Of Change"@de,
    "Unit: Temperature Rate Of Change"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:DEG_C-PER-HR unit:DEG_C-PER-MIN unit:DEG_C-PER-SEC unit:DEG_C-PER-YR unit:DEG_F-PER-HR unit:DEG_F-PER-MIN unit:DEG_F-PER-SEC unit:DEG_R-PER-HR unit:DEG_R-PER-MIN unit:DEG_R-PER-SEC unit:K-PER-HR unit:K-PER-MIN unit:K-PER-SEC ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:DEG_C-PER-HR rdfs:label "Degree Celsius Per Hour"@en .
unit:DEG_C-PER-MIN rdfs:label "Degree Celsius Per Minute"@en .
unit:DEG_C-PER-SEC rdfs:label "Degree Celsius Per Second"@en .
unit:DEG_C-PER-YR rdfs:label "Degrees Celsius Per Year"@en .
unit:DEG_F-PER-HR rdfs:label "Degree Fahrenheit Per Hour"@en .
unit:DEG_F-PER-MIN rdfs:label "Degree Fahrenheit Per Minute"@en .
unit:DEG_F-PER-SEC rdfs:label "Degree Fahrenheit Per Second"@en .
unit:DEG_R-PER-HR rdfs:label "Degree Rankine Per Hour"@en .
unit:DEG_R-PER-MIN rdfs:label "Degree Rankine Per Minute"@en .
unit:DEG_R-PER-SEC rdfs:label "Degree Rankine Per Second"@en .
unit:K-PER-HR rdfs:label "Kelvin Per Hour"@en .
unit:K-PER-MIN rdfs:label "Kelvin Per Minute"@en .
unit:K-PER-SEC rdfs:label "Kelvin Per Second"@en .
